package ovh.herisson.thevoidroad;

import java.time.LocalTime;

import org.bukkit.Bukkit;
import org.bukkit.event.Event;
import org.bukkit.event.EventHandler;
import org.bukkit.event.HandlerList;
import org.bukkit.event.Listener;

import com.destroystokyo.paper.event.server.ServerTickStartEvent;

public class HourEvent extends Event implements Listener{
	private static final HandlerList handlerList = new HandlerList();
	public int hour = LocalTime.now().getHour();
	public long unixhour = System.currentTimeMillis() / (1000L * 60L * 60L);

	public static HandlerList getHandlerList(){
		return handlerList;
	}

    @Override
    public HandlerList getHandlers() {
		return handlerList;
    }

	@EventHandler
	public void onHour(ServerTickStartEvent e){
		if(LocalTime.now().getHour() != hour){
			hour = LocalTime.now().getHour();
			unixhour = System.currentTimeMillis() / (1000L * 60L * 60L);
			Bukkit.getPluginManager().callEvent(this);
		}
	}
}

